Loading...
Searching...
No Matches
gpiod::line_config Class Referencefinal

Contains a set of line config options used in line requests and reconfiguration. More...

`#include <line-config.hpp>`

## Public Member Functions

| line_config ()
| line_config (const line_config &other)=delete
| line_config (line_config &&other) noexcept
| Move constructor.
| ~line_config ()
line_config & | operator= (line_config &&other) noexcept
| Move assignment operator.
line_config & | reset () noexcept
| Reset the line config object.
line_config & | add_line_settings (line::offset offset, const line_settings &settings)
| Add line settings for a single offset.
line_config & | add_line_settings (const line::offsets &offsets, const line_settings &settings)
| Add line settings for a set of offsets.
line_config & | set_output_values (const line::values &values)
| Set output values for a number of lines.
::std::map< line::offset, line_settings > | get_line_settings () const
| Get a mapping of offsets to line settings stored by this object.

## Detailed Description

Contains a set of line config options used in line requests and reconfiguration.

## Constructor & Destructor Documentation

## line_config() [1/3]

gpiod::line_config::line_config | ( |  | ) |

## line_config() [2/3]

gpiod::line_config::line_config | ( | const line_config & | other | ) |

delete

## line_config() [3/3]

gpiod::line_config::line_config | ( | line_config && | other | ) |

noexcept

Move constructor.

Parameters

  other | Object to move.

## ~line_config()

gpiod::line_config::~line_config | ( |  | ) |

## Member Function Documentation

## add_line_settings() [1/2]

line_config & gpiod::line_config::add_line_settings | ( | const line::offsets & | offsets,
|  | const line_settings & | settings )

Add line settings for a set of offsets.

Parameters

  offsets | Offsets for which to add settings.
  settings | Line settings to add.

Returns
  Reference to self.

## add_line_settings() [2/2]

line_config & gpiod::line_config::add_line_settings | ( | line::offset | offset,
|  | const line_settings & | settings )

Add line settings for a single offset.

Parameters

  offset | Offset for which to add settings.
  settings | Line settings to add.

Returns
  Reference to self.

## get_line_settings()

::std::map< line::offset, line_settings > gpiod::line_config::get_line_settings | ( |  | ) | const

Get a mapping of offsets to line settings stored by this object.

Returns
  Map in which keys represent line offsets and values are the settings corresponding with them.

## operator=()

line_config & gpiod::line_config::operator= | ( | line_config && | other | ) |

noexcept

Move assignment operator.

Parameters

  other | Object to move.

Returns
  Reference to self.

## reset()

line_config & gpiod::line_config::reset | ( |  | ) |

noexcept

Reset the line config object.

Returns
  Reference to self.

## set_output_values()

line_config & gpiod::line_config::set_output_values | ( | const line::values & | values | ) |

Set output values for a number of lines.

Parameters

  values | Buffer containing the output values.

Returns
  Reference to self.

The documentation for this class was generated from the following file:

- line-config.hpp